uuid: bff723fb-fdd8-44e8-b138-4cd2dd4bda78
langcode: en
status: true
dependencies:
  module:
    - indieweb_webmention
id: config_sync.module.indieweb_webmention
snapshotSet: config_sync
extensionType: module
extensionName: indieweb_webmention
items:
  -
    collection: ''
    name: field.storage.comment.indieweb_webmention
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - comment
          - indieweb
      id: comment.indieweb_webmention
      field_name: indieweb_webmention
      entity_type: comment
      type: entity_reference
      settings:
        target_type: indieweb_webmention
      module: core
      locked: false
      cardinality: 1
      translatable: true
      indexes: {  }
      persist_with_no_fields: true
      custom_storage: false
  -
    collection: ''
    name: indieweb_webmention.comment
    data:
      comment_create_enable: false
      comment_create_default_status: 0
      comment_create_comment_type: ''
      comment_create_webmention_reference_field: ''
      comment_create_node_comment_field: ''
      comment_create_mail_notification: ''
  -
    collection: ''
    name: indieweb_webmention.settings
    data:
      webmention_endpoint: ''
      webmention_secret: ''
      webmention_internal: false
      webmention_internal_handler: disabled
      webmention_log_processing: false
      webmention_notify: false
      webmention_expose_link_tag: false
      webmention_detect_identical: false
      pingback_internal: false
      pingback_notify: false
      pingback_endpoint: ''
      pingback_expose_link_tag: false
      webmention_uid: 1
      webmention_log_payload: true
      syndication_targets: 'Twitter (bridgy)|https://brid.gy/publish/twitter'
      bridgy_back_link: always
      send_webmention_handler: disabled
      send_custom_url: true
      send_link_fields: ''
      send_log_response: false
      send_comment_webmention_field: ''
      send_comment_permission_fields: true
  -
    collection: ''
    name: system.action.webmention_delete_action
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - indieweb
      id: webmention_delete_action
      label: 'Delete webmentions'
      type: indieweb_webmention
      plugin: webmention_delete_action
      configuration: {  }
  -
    collection: ''
    name: system.action.webmention_publish_action
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - indieweb_webmention
      id: webmention_publish_action
      label: 'Publish webmention'
      type: indieweb_webmention
      plugin: 'entity:publish_action:indieweb_webmention'
      configuration: {  }
  -
    collection: ''
    name: system.action.webmention_unpublish_action
    data:
      langcode: en
      status: true
      dependencies:
        module:
          - indieweb_webmention
      id: webmention_unpublish_action
      label: 'Unpublish webmention'
      type: indieweb_webmention
      plugin: 'entity:unpublish_action:indieweb_webmention'
      configuration: {  }
  -
    collection: ''
    name: views.view.webmentions
    data:
      langcode: en
      status: true
      dependencies:
        config:
          - system.menu.admin
        module:
          - indieweb
          - user
      id: webmentions
      label: Webmentions
      module: views
      description: ''
      tag: ''
      base_table: webmention_received
      base_field: id
      core: 8.x
      display:
        default:
          display_plugin: default
          id: default
          display_title: Master
          position: 0
          display_options:
            access:
              type: perm
              options:
                perm: 'administer webmention entities'
            cache:
              type: tag
              options: {  }
            query:
              type: views_query
              options:
                disable_sql_rewrite: false
                distinct: false
                replica: false
                query_comment: ''
                query_tags: {  }
            exposed_form:
              type: basic
              options:
                submit_button: Apply
                reset_button: false
                reset_button_label: Reset
                exposed_sorts_label: 'Sort by'
                expose_sort_order: true
                sort_asc_label: Asc
                sort_desc_label: Desc
            pager:
              type: full
              options:
                items_per_page: 30
                offset: 0
                id: 0
                total_pages: null
                tags:
                  previous: ‹‹
                  next: ››
                  first: '« First'
                  last: 'Last »'
                expose:
                  items_per_page: false
                  items_per_page_label: 'Items per page'
                  items_per_page_options: '5, 10, 25, 50'
                  items_per_page_options_all: false
                  items_per_page_options_all_label: '- All -'
                  offset: false
                  offset_label: Offset
                quantity: 9
            style:
              type: table
              options:
                grouping: {  }
                row_class: ''
                default_row_class: true
                override: true
                sticky: false
                caption: ''
                summary: ''
                description: ''
                columns:
                  webmention_bulk_form: webmention_bulk_form
                  source: source
                  target: target
                  type: type
                  property: property
                  author_name: author_name
                  created: created
                  status: status
                  operations: operations
                info:
                  webmention_bulk_form:
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: ''
                  source:
                    sortable: true
                    default_sort_order: asc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: ''
                  target:
                    sortable: true
                    default_sort_order: asc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: ''
                  type:
                    sortable: true
                    default_sort_order: asc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: ''
                  property:
                    sortable: true
                    default_sort_order: asc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: ''
                  author_name:
                    sortable: true
                    default_sort_order: asc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: ''
                  created:
                    sortable: true
                    default_sort_order: desc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: ''
                  status:
                    sortable: false
                    default_sort_order: asc
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: ''
                  operations:
                    align: ''
                    separator: ''
                    empty_column: false
                    responsive: ''
                default: created
                empty_table: true
            row:
              type: fields
            fields:
              webmention_bulk_form:
                id: webmention_bulk_form
                table: webmention_received
                field: webmention_bulk_form
                relationship: none
                group_type: group
                admin_label: ''
                label: 'Webmention operations bulk form'
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                action_title: Action
                include_exclude: exclude
                selected_actions: {  }
                entity_type: indieweb_webmention
                plugin_id: webmention_bulk_form
              source:
                id: source
                table: webmention_received
                field: source
                relationship: none
                group_type: group
                admin_label: ''
                label: Source
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                click_sort_column: value
                type: string
                settings:
                  link_to_entity: false
                group_column: value
                group_columns: {  }
                group_rows: true
                delta_limit: 0
                delta_offset: 0
                delta_reversed: false
                delta_first_last: false
                multi_type: separator
                separator: ', '
                field_api_classes: false
                entity_type: indieweb_webmention
                entity_field: source
                plugin_id: field
              target:
                id: target
                table: webmention_received
                field: target
                relationship: none
                group_type: group
                admin_label: ''
                label: Target
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: true
                  path: '{{ target }}'
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                click_sort_column: value
                type: string
                settings:
                  link_to_entity: false
                group_column: value
                group_columns: {  }
                group_rows: true
                delta_limit: 0
                delta_offset: 0
                delta_reversed: false
                delta_first_last: false
                multi_type: separator
                separator: ', '
                field_api_classes: false
                entity_type: null
                entity_field: target
                plugin_id: field
              type:
                id: type
                table: webmention_received
                field: type
                relationship: none
                group_type: group
                admin_label: ''
                label: Type
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                click_sort_column: value
                type: string
                settings:
                  link_to_entity: false
                group_column: value
                group_columns: {  }
                group_rows: true
                delta_limit: 0
                delta_offset: 0
                delta_reversed: false
                delta_first_last: false
                multi_type: separator
                separator: ', '
                field_api_classes: false
                entity_type: indieweb_webmention
                entity_field: type
                plugin_id: field
              property:
                id: property
                table: webmention_received
                field: property
                relationship: none
                group_type: group
                admin_label: ''
                label: Property
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                click_sort_column: value
                type: string
                settings:
                  link_to_entity: false
                group_column: value
                group_columns: {  }
                group_rows: true
                delta_limit: 0
                delta_offset: 0
                delta_reversed: false
                delta_first_last: false
                multi_type: separator
                separator: ', '
                field_api_classes: false
                entity_type: indieweb_webmention
                entity_field: property
                plugin_id: field
              author_name:
                id: author_name
                table: webmention_received
                field: author_name
                relationship: none
                group_type: group
                admin_label: ''
                label: Author
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                click_sort_column: value
                type: string
                settings:
                  link_to_entity: false
                group_column: value
                group_columns: {  }
                group_rows: true
                delta_limit: 0
                delta_offset: 0
                delta_reversed: false
                delta_first_last: false
                multi_type: separator
                separator: ', '
                field_api_classes: false
                entity_type: indieweb_webmention
                entity_field: author_name
                plugin_id: field
              created:
                id: created
                table: webmention_received
                field: created
                relationship: none
                group_type: group
                admin_label: ''
                label: Created
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                click_sort_column: value
                type: timestamp
                settings:
                  date_format: medium
                  custom_date_format: ''
                  timezone: ''
                group_column: value
                group_columns: {  }
                group_rows: true
                delta_limit: 0
                delta_offset: 0
                delta_reversed: false
                delta_first_last: false
                multi_type: separator
                separator: ', '
                field_api_classes: false
                entity_type: indieweb_webmention
                entity_field: created
                plugin_id: field
              status:
                id: status
                table: webmention_received
                field: status
                relationship: none
                group_type: group
                admin_label: ''
                label: Published
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                click_sort_column: value
                type: boolean
                settings:
                  format: custom
                  format_custom_true: Published
                  format_custom_false: Unpublished
                group_column: value
                group_columns: {  }
                group_rows: true
                delta_limit: 0
                delta_offset: 0
                delta_reversed: false
                delta_first_last: false
                multi_type: separator
                separator: ', '
                field_api_classes: false
                entity_type: indieweb_webmention
                entity_field: status
                plugin_id: field
              operations:
                id: operations
                table: webmention_received
                field: operations
                relationship: none
                group_type: group
                admin_label: ''
                label: 'Operations links'
                exclude: false
                alter:
                  alter_text: false
                  text: ''
                  make_link: false
                  path: ''
                  absolute: false
                  external: false
                  replace_spaces: false
                  path_case: none
                  trim_whitespace: false
                  alt: ''
                  rel: ''
                  link_class: ''
                  prefix: ''
                  suffix: ''
                  target: ''
                  nl2br: false
                  max_length: 0
                  word_boundary: true
                  ellipsis: true
                  more_link: false
                  more_link_text: ''
                  more_link_path: ''
                  strip_tags: false
                  trim: false
                  preserve_tags: ''
                  html: false
                element_type: ''
                element_class: ''
                element_label_type: ''
                element_label_class: ''
                element_label_colon: true
                element_wrapper_type: ''
                element_wrapper_class: ''
                element_default_classes: true
                empty: ''
                hide_empty: false
                empty_zero: false
                hide_alter_empty: true
                destination: true
                entity_type: indieweb_webmention
                plugin_id: entity_operations
            filters:
              source:
                id: source
                table: webmention_received
                field: source
                relationship: none
                group_type: group
                admin_label: ''
                operator: contains
                value: ''
                group: 1
                exposed: true
                expose:
                  operator_id: source_op
                  label: Source
                  description: ''
                  use_operator: false
                  operator: source_op
                  identifier: source
                  required: false
                  remember: false
                  multiple: false
                  remember_roles:
                    authenticated: authenticated
                    anonymous: '0'
                    administrator: '0'
                  placeholder: ''
                is_grouped: false
                group_info:
                  label: ''
                  description: ''
                  identifier: ''
                  optional: true
                  widget: select
                  multiple: false
                  remember: false
                  default_group: All
                  default_group_multiple: {  }
                  group_items: {  }
                entity_type: inideweb_webmention
                entity_field: source
                plugin_id: string
              target:
                id: target
                table: webmention_received
                field: target
                relationship: none
                group_type: group
                admin_label: ''
                operator: contains
                value: ''
                group: 1
                exposed: true
                expose:
                  operator_id: target_op
                  label: Target
                  description: ''
                  use_operator: false
                  operator: target_op
                  identifier: target
                  required: false
                  remember: false
                  multiple: false
                  remember_roles:
                    authenticated: authenticated
                    anonymous: '0'
                    administrator: '0'
                  placeholder: ''
                is_grouped: false
                group_info:
                  label: ''
                  description: ''
                  identifier: ''
                  optional: true
                  widget: select
                  multiple: false
                  remember: false
                  default_group: All
                  default_group_multiple: {  }
                  group_items: {  }
                entity_type: indieweb_webmention
                entity_field: target
                plugin_id: string
              author_name:
                id: author_name
                table: webmention_received
                field: author_name
                relationship: none
                group_type: group
                admin_label: ''
                operator: contains
                value: ''
                group: 1
                exposed: true
                expose:
                  operator_id: author_name_op
                  label: Author
                  description: ''
                  use_operator: false
                  operator: author_name_op
                  identifier: author_name
                  required: false
                  remember: false
                  multiple: false
                  remember_roles:
                    authenticated: authenticated
                    anonymous: '0'
                    administrator: '0'
                  placeholder: ''
                is_grouped: false
                group_info:
                  label: ''
                  description: ''
                  identifier: ''
                  optional: true
                  widget: select
                  multiple: false
                  remember: false
                  default_group: All
                  default_group_multiple: {  }
                  group_items: {  }
                entity_type: indieweb_webmention
                entity_field: author_name
                plugin_id: string
              property:
                id: property
                table: webmention_received
                field: property
                relationship: none
                group_type: group
                admin_label: ''
                operator: or
                value: {  }
                group: 1
                exposed: true
                expose:
                  operator_id: property_op
                  label: Property
                  description: ''
                  use_operator: false
                  operator: property_op
                  identifier: property
                  required: false
                  remember: false
                  multiple: false
                  remember_roles:
                    authenticated: authenticated
                    anonymous: '0'
                    administrator: '0'
                  reduce: false
                is_grouped: false
                group_info:
                  label: ''
                  description: ''
                  identifier: ''
                  optional: true
                  widget: select
                  multiple: false
                  remember: false
                  default_group: All
                  default_group_multiple: {  }
                  group_items: {  }
                reduce_duplicates: false
                entity_type: indieweb_webmention
                entity_field: property
                plugin_id: webmention_filter_select
              type:
                id: type
                table: webmention_received
                field: type
                relationship: none
                group_type: group
                admin_label: ''
                operator: or
                value: {  }
                group: 1
                exposed: true
                expose:
                  operator_id: type_op
                  label: Type
                  description: ''
                  use_operator: false
                  operator: type_op
                  identifier: type
                  required: false
                  remember: false
                  multiple: false
                  remember_roles:
                    authenticated: authenticated
                    anonymous: '0'
                    administrator: '0'
                  reduce: false
                is_grouped: false
                group_info:
                  label: ''
                  description: ''
                  identifier: ''
                  optional: true
                  widget: select
                  multiple: false
                  remember: false
                  default_group: All
                  default_group_multiple: {  }
                  group_items: {  }
                reduce_duplicates: false
                entity_type: indieweb_webmention
                entity_field: type
                plugin_id: webmention_filter_select
            sorts:
              created:
                id: created
                table: webmention_received
                field: created
                relationship: none
                group_type: group
                admin_label: ''
                order: DESC
                exposed: false
                expose:
                  label: ''
                granularity: second
                entity_type: indieweb_webmention
                entity_field: created
                plugin_id: date
            title: Webmentions
            header: {  }
            footer: {  }
            empty:
              area_text_custom:
                id: area_text_custom
                table: views
                field: area_text_custom
                relationship: none
                group_type: group
                admin_label: ''
                empty: true
                tokenize: false
                content: 'No webmentions received yet.'
                plugin_id: text_custom
            relationships: {  }
            arguments: {  }
            display_extenders: {  }
            filter_groups:
              operator: AND
              groups:
                1: AND
          cache_metadata:
            max-age: 0
            contexts:
              - 'languages:language_content'
              - 'languages:language_interface'
              - url
              - url.query_args
              - user.permissions
            tags: {  }
        page_1:
          display_plugin: page
          id: page_1
          display_title: Page
          position: 1
          display_options:
            display_extenders: {  }
            path: admin/content/webmention
            menu:
              type: normal
              title: Webmentions
              menu_name: admin
          cache_metadata:
            max-age: 0
            contexts:
              - 'languages:language_content'
              - 'languages:language_interface'
              - url
              - url.query_args
              - user.permissions
            tags: {  }
